orm

## Class AsignaturaDAO

- java.lang.Object
- - orm.AsignaturaDAO

    public class AsignaturaDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AsignaturaDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Asignatura` `createAsignatura()`
`static boolean` `delete(Asignatura asignatura)`
`static boolean` `deleteAndDissociate(Asignatura asignatura)`
`static boolean` `deleteAndDissociate(Asignatura asignatura, org.orm.PersistentSession session)`
`static boolean` `evict(Asignatura asignatura)`
`static Asignatura` `getAsignaturaByORMID(int id_pk)`
`static Asignatura` `getAsignaturaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Asignatura` `getAsignaturaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Asignatura` `getAsignaturaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asignatura[]` `listAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Asignatura[]` `listAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asignatura[]` `listAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Asignatura[]` `listAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asignatura` `loadAsignaturaByORMID(int id_pk)`
`static Asignatura` `loadAsignaturaByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Asignatura` `loadAsignaturaByORMID(org.orm.PersistentSession session, int id_pk)`
`static Asignatura` `loadAsignaturaByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Asignatura` `loadAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Asignatura` `loadAsignaturaByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Asignatura` `loadAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Asignatura` `loadAsignaturaByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAsignatura(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAsignatura(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAsignatura(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAsignatura(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Asignatura asignatura)`
`static boolean` `save(Asignatura asignatura)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AsignaturaDAO

    public AsignaturaDAO()

### Method Detail

#### loadAsignaturaByORMID

    public static Asignatura loadAsignaturaByORMID(int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsignaturaByORMID

    public static Asignatura getAsignaturaByORMID(int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByORMID

    public static Asignatura loadAsignaturaByORMID(int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsignaturaByORMID

    public static Asignatura getAsignaturaByORMID(int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByORMID

    public static Asignatura loadAsignaturaByORMID(org.orm.PersistentSession session,
                                                   int id_pk)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsignaturaByORMID

    public static Asignatura getAsignaturaByORMID(org.orm.PersistentSession session,
                                                  int id_pk)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByORMID

    public static Asignatura loadAsignaturaByORMID(org.orm.PersistentSession session,
                                                   int id_pk,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAsignaturaByORMID

    public static Asignatura getAsignaturaByORMID(org.orm.PersistentSession session,
                                                  int id_pk,
                                                  org.hibernate.LockMode lockMode)
                                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsignatura

    public static java.util.List queryAsignatura(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsignatura

    public static java.util.List queryAsignatura(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsignaturaByQuery

    public static Asignatura[] listAsignaturaByQuery(java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsignaturaByQuery

    public static Asignatura[] listAsignaturaByQuery(java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsignatura

    public static java.util.List queryAsignatura(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAsignatura

    public static java.util.List queryAsignatura(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsignaturaByQuery

    public static Asignatura[] listAsignaturaByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAsignaturaByQuery

    public static Asignatura[] listAsignaturaByQuery(org.orm.PersistentSession session,
                                                     java.lang.String condition,
                                                     java.lang.String orderBy,
                                                     org.hibernate.LockMode lockMode)
                                              throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByQuery

    public static Asignatura loadAsignaturaByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByQuery

    public static Asignatura loadAsignaturaByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByQuery

    public static Asignatura loadAsignaturaByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAsignaturaByQuery

    public static Asignatura loadAsignaturaByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsignaturaByQuery

    public static java.util.Iterator iterateAsignaturaByQuery(java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsignaturaByQuery

    public static java.util.Iterator iterateAsignaturaByQuery(java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsignaturaByQuery

    public static java.util.Iterator iterateAsignaturaByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAsignaturaByQuery

    public static java.util.Iterator iterateAsignaturaByQuery(org.orm.PersistentSession session,
                                                              java.lang.String condition,
                                                              java.lang.String orderBy,
                                                              org.hibernate.LockMode lockMode)
                                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createAsignatura

    public static Asignatura createAsignatura()

#### save

    public static boolean save(Asignatura asignatura)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Asignatura asignatura)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Asignatura asignatura)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Asignatura asignatura,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Asignatura asignatura)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Asignatura asignatura)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`